Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::back_fn Struct Reference
Core

## Public Member Functions
template<typename Rng , requires = (BoundedRange<Rng>() && BidirectionalRange<Rng>())>
range_reference_t< Rng > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , requires = (BoundedRange<Rng>() && BidirectionalRange<Rng>())>

range_reference_t<Rng> ranges::v3::back_fn::operator() | ( | Rng && | rng | ) | const

Returns
  `*prev(end(rng))`

References ranges::v3::prev.